
D4Science Infrastructure - Incident #13266

storage hub not published on D4Research/PerformFish context?

Feb 04, 2019 02:59 PM - Massimiliano Assante

Status: Closed Start date: Feb 04, 2019

Priority: High Due date:  

Assignee: Massimiliano Assante % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: No   

Infrastructure: Production   

Description

java.lang.RuntimeException: org.gcube.common.clients.exceptions.DiscoveryException: no endpoints f

ound for org.gcube.resources.discovery.client.queries.impl.XQuery@c33e1e15=declare namespace ic = 

'http://gcube-system.org/namespaces/informationsystem/registry'; for $resource in collection('/db/

Profiles/RunningInstance')//Document/Data/ic:Profile/Resource, $entry in $resource/Profile/AccessP

oint/RunningInstanceInterfaces/Endpoint where ($resource/Profile/ServiceClass/text() eq 'DataAcces

s') and ($resource/Profile/ServiceName/text() eq 'StorageHub') and ($resource/Profile/DeploymentDa

ta/Status/text() eq 'ready') and (contains($entry/string(),'storagehub/workspace')) return $entry/

text()

    at org.gcube.common.storagehub.client.proxies.DefaultWorkspaceManager.getVreFolder(DefaultWork

spaceManager.java:184)

    at org.gcube.portlets.user.wswidget.StorageHubServiceUtil.getWorkspaceFolderURL(StorageHubServ

iceUtil.java:136)

    at org.apache.jsp.html.workspacewidget.view_jsp._jspService(view_jsp.java:466)

    at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:70)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

    at org.apache.jaspe

History

#1 - Feb 04, 2019 04:41 PM - Roberto Cirillo

- Status changed from New to In Progress

#2 - Feb 04, 2019 04:42 PM - Roberto Cirillo

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

The storageHub was already present on PerformFish. Maybe you have tried to access to it while I was restarting the storagehub service. Now it

should work. Please could you check now?

#3 - Feb 04, 2019 05:38 PM - Massimiliano Assante

- Status changed from Feedback to In Progress

- % Done changed from 100 to 0

No, it is still not working scope is D4Research/PerformFish 

2019-02-04 16:37:00,224 INFO  o.g.r.d.i.Helper [ajp-bio-8009-exec-6,queryAddAuthenticationControl:200][PORTAL]

 237957443 [ajp-bio-8009-exec-6] INFO  org.gcube.resources.discovery.icclient.Helper - submitting filtered que

ry: declare namespace ic = 'http://gcube-system.org/namespaces/informationsystem/registry'; declare namespace 

functx = "http://www.functx.com"; declare function functx:is-value-in-sequence   ( $value as xs:anyAtomicType?

 , $seq as xs:anyAtomicType* )  as xs:boolean { $value = $seq } ;  for  $entry0ValueAuth in  collection('/db/P

rofiles/RunningInstance')//Document/Data/ic:Profile/Resource/Scopes , $entry in $entry0ValueAuth/../Profile/Ac

cessPoint/RunningInstanceInterfaces/Endpoint  where  (functx:is-value-in-sequence('/d4science.research-infrast

ructures.eu/D4Research/PerformFish',$entry0ValueAuth/child::*[local-name()='Scope']/text()) or functx:is-value

-in-sequence('/d4science.research-infrastructures.eu/D4Research',$entry0ValueAuth/child::*[local-name()='Scope

']/text()))  and ( ($entry0ValueAuth/../Profile/ServiceClass/text() eq 'DataAccess') and ($entry0ValueAuth/../

Profile/ServiceName/text() eq 'StorageHub') and ($entry0ValueAuth/../Profile/DeploymentData/Status/text() eq '

ready') and (contains($entry/string(),'storagehub/workspace'))  ) return $entry/text()

java.lang.RuntimeException: org.gcube.common.clients.exceptions.DiscoveryException: no endpoints found for org

.gcube.resources.discovery.client.queries.impl.XQuery@c33e1e15=declare namespace ic = 'http://gcube-system.org

/namespaces/informationsystem/registry'; for $resource in collection('/db/Profiles/RunningInstance')//Document
/Data/ic:Profile/Resource, $entry in $resource/Profile/AccessPoint/RunningInstanceInterfaces/Endpoint where ($

resource/Profile/ServiceClass/text() eq 'DataAccess') and ($resource/Profile/ServiceName/text() eq 'StorageHub

') and ($resource/Profile/DeploymentData/Status/text() eq 'ready') and (contains($entry/string(),'storagehub/w

orkspace')) return $entry/text()

    at org.gcube.common.storagehub.client.proxies.DefaultWorkspaceManager.getVreFolder(DefaultWorkspaceManager

.java:184)

    at org.gcube.portlets.user.wswidget.StorageHubServiceUtil.getWorkspaceFolderURL(StorageHubServiceUtil.java

:136)

    at org.apache.jsp.html.workspacewidget.view_jsp._jspService(view_jsp.java:466)

    at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:70)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

    at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:439)

    at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:395)

    at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:339)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

    at org.apache.catalina.core.Application

#4 - Feb 04, 2019 05:46 PM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Massimiliano Assante

Please @massimiliano.assante@isti.cnr.it  could you add some details? What is not working? Are you trying to use dataminer, workspace or what?

#5 - Feb 04, 2019 05:48 PM - Roberto Cirillo

In addition is this problem reproducible? If yes, how can I reproduce this problem?

#6 - Feb 04, 2019 06:19 PM - Massimiliano Assante

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

works now, thanks
